FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PR = "m3"

CONFFILES_${PN}_remove = "${sysconfdir}/fstab"
FILES_${PN}_remove = "${sysconfdir}/fstab"

do_install_append() {
   if [ -d ${D}/media ] ; then
     rmdir ${D}/media  # So the next line does not nest the media link inside of media
   fi
   ln -snf /run/media ${D}/media
   set -x
   if [ -f ${D}/${sysconfdir}/fstab ] ; then
       rm ${D}/${sysconfdir}/fstab
   fi
   set +x
   rm -rf ${D}/tmp
   ln -snf /var/tmp ${D}/tmp

   cat >> ${D}${sysconfdir}/profile << 'EOT'
for g in $(groups) ; do
    if [ "${g}" = sudo ] ; then
      PATH+=":/sbin:/usr/sbin"
    fi
done
EOT
}
