DESCRIPTION = "gpsd reboot testing"
SECTION = "base"
PRIORITY = "optional"
LICENSE = "GPLv2+"
PR = "r2"
inherit allarch
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"
FILESEXTRAPATHS_prepend = "${THISDIR}/test:"
SRC_URI = " \
    file://gpsd-test-1.0.tar.gz \
    "

FILES_${PN} = "*"
    
RDEPENDS_${PN} = "bash"

do_install() {
    cp -a * ${D}
    cd ${D}
    chown -R root:root .
    chmod 755 ${D}/${prefix}/local/bin/*
    chmod 755 ${D}/${sysconfdir}/rc5.d/*
}

pkg_postinst_${PN}() {
    if [ -z "$D" ] ; then
        touch /var/config/reboot    
    fi
}


pkg_prerm_${PN}() {
    if [ -z "$D" ] ; then
        rm /var/config/reboot    
    fi
}
